<template>
  <view class="container">
    <ChatMainList />
  </view>

  <!-- 日历组件 -->
  <Calender
      :visible="calendarVisible"
      mode="single"
      :default-value="selectedDate"
      @close="handleCalendarClose"
      @select="handleDateSelect"
    />


</template>

<script setup>
import { ref, onMounted, onUnmounted } from "vue";
import ChatMainList from "../chat/ChatMainList.vue";
import Calender from "@/components/Calender/index.vue";


const calendarVisible = ref(false);
const selectedDate = ref("");

// 处理日历关闭
const handleCalendarClose = () => {
  calendarVisible.value = false;
};

// 处理日期选择
const handleDateSelect = (data) => {
  selectedDate.value = data.date;
  calendarVisible.value = false;
  console.log("选择的日期:", data.date);
  uni.$emit("selectCalendarDate", selectedDate.value); // 传回父组件

};

uni.$on("openCalendar", () => {
  calendarVisible.value = true;
});

onUnmounted(() => {
	// uni.$off('openCalendar')
})

</script>

<style lang="scss" scoped>
.container {
  width: 100vw;
  height: 100vh;
  background-color: #ffffff;
}
</style>
